Summary: libmcrypt is a data encryption library.
Name: libmcrypt
Version: 2.5.7
Release: 2%{?_dist_release}
License: LGPL
Source: ftp://mcrypt.hellug.gr/pub/crypto/mcrypt/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
libmcrypt is a data encryption library. The library is thread safe
and provides encryption and decryption functions. This version of the
library supports many encryption algorithms and encryption modes. Some
algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package devel
Summary: Development files of the libmcrypt data encryption library.
Group: Development/Libraries
Requires: libmcrypt = %{version}

%description devel
Header file and static libraries of libmcrypt data encryption library.

%prep
%setup

%build
%configure --disable-posix-threads

make

%install
rm -rf %{buildroot}

%makeinstall

# for Vine Linux 2.6
#mv %{buildroot}%{_bindir}/i386-vine-linux-libmcrypt-config %{buildroot}%{_bindir}/libmcrypt-config
#mv %{buildroot}%{_mandir}/man3/i386-vine-linux-mcrypt.3 %{buildroot}%{_mandir}/man3/mcrypt.3

## remove unused file
rm -f %{buildroot}/%{_libdir}/libmcrypt.la

%clean
rm -rf %{buildroot}

%post
ldconfig

%postun
ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libmcrypt.so*

%files devel
#%defattr(-, root, root)
%doc doc/README* doc/example.c AUTHORS ChangeLog KNOWN-BUGS NEWS
%doc THANKS README TODO
#%{_libdir}/libmcrypt.la
%{_includedir}/mcrypt.h
%{_mandir}/man3/mcrypt.*
%{_bindir}/libmcrypt-config
%{_datadir}/aclocal/libmcrypt.m4

%changelog
* Sun Sep 07 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.7-2vl5
- applied new versioning policy
- removed libmcrypt.la

* Sun Oct 29 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.7-1vl3
- use License tag instead of Copyright

* Sat Jun 26 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.5.7-1vl2
- build for VineSeed.

* Mon Mar  1 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.5.7-1vl1
- build for Vine Linux.

* Tue Dec 17 2002 Germano Rizzo <mano@pluto.linux.it>
- modified for new installation structure

* Fri Feb 01 2002 Germano Rizzo <mano@pluto.linux.it>
- built basing on Peter Soos' SPEC file

* Mon Oct 01 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta
- version 2.4.17

* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Wed Apr 18 2001 Peter Soos <sp@osb.hu>
- RedHat Linux 7.0

* Thu Feb 15 2001 Peter Soos <sp@osb.hu>
- version 2.4.9

* Thu Nov 02 2000 Peter Soos <sp@osb.hu>
- version 2.4.5

* Fri Jun 23 2000 Peter Soos <sp@osb.hu>
- version 2.4.4

* Sun Nov 07 1999 Peter Soos <sp@osb.hu>
- Separate this package from the mcrypt package
